Get Media Generation Guide
Immutable Catalog + Curated Guide
This lossless descriptor comes from the active Portal catalog and is enhanced with reviewed examples.
- Contract tier:
agent_ready - Risk:
read - Catalog version:
leonardo-ai-2026.07.12.1 - Descriptor hash:
f4a4bd9919513c640b04db0fc1e1d9319fdd061e058917f15904e207c29527ad
Choose the safe image or video workflow before selecting a paid generation tool.
Request Body
{
"jsonrpc": "2.0",
"id": "leonardo-ai-leonardo-get-media-generation-guide-example",
"method": "tools/call",
"params": {
"name": "leonardo-ai.leonardo_get_media_generation_guide",
"arguments": {}
}
}
Arguments Schema
{
"type": "object",
"properties": {},
"additionalProperties": false
}
Output Schema
{
"type": "object",
"description": "Leonardo MCP result. ok=false, provider_ok=false, a failed status, or an error field represents a semantic failure even when transport delivery succeeded.",
"additionalProperties": true
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://portal.madpanda3d.com/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "leonardo-ai-leonardo-get-media-generation-guide-example",
"method": "tools/call",
"params": {
"name": "leonardo-ai.leonardo_get_media_generation_guide",
"arguments": {}
}
}'
const response = await fetch('https://portal.madpanda3d.com/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "leonardo-ai-leonardo-get-media-generation-guide-example",
"method": "tools/call",
"params": {
"name": "leonardo-ai.leonardo_get_media_generation_guide",
"arguments": {}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://portal.madpanda3d.com/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "leonardo-ai-leonardo-get-media-generation-guide-example",
"method": "tools/call",
"params": {
"name": "leonardo-ai.leonardo_get_media_generation_guide",
"arguments": {}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"data": {
"recommendedWorkflow": [
"plan",
"price",
"submit",
"inspect"
]
},
"error": null
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}